org.firebirdsql.management

## Class FBBackupManagerBase.PathSizeStruct

- java.lang.Object
- - org.firebirdsql.management.FBBackupManagerBase.PathSizeStruct

Enclosing class:
  FBBackupManagerBase

    protected static class FBBackupManagerBase.PathSizeStruct
    extends java.lang.Object

Structure that holds path to the database and corresponding size of the file (in case of backup - that is size of the file in megabytes, in case of restore - size of the database file in pages).

### Constructor Summary

Constructors
`protected` `PathSizeStruct(java.lang.String path, int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getPath()`
`int` `getSize()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PathSizeStruct

    protected PathSizeStruct(java.lang.String path,
                             int size)

### Method Detail

#### getPath

    public java.lang.String getPath()

#### getSize

    public int getSize()

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`